-- ============================================================
--   Test table to create tables with all data type fields
-- support by Derby to test the loading of TableTabPanel
-- summary table, (JTable), TableViewForm, and TableEntryForm. 
-- =============================================================
-- Version 02/22/2013 Original Load Test SQL configuration for
--                    Tables of Derby data types.
--      
-- danap@dandymadeproductions.com
-- =============================================================

-- #############################################################
--
-- DROP TABLE SECTION
--
-- #############################################################

-- character types

-- DROP TABLE char_types;
-- DROP TABLE char_bit_types;
-- DROP TABLE varchar_types;
-- DROP TABLE varchar_bit_types;

-- blob types

-- DROP TABLE blob_types;

-- text types

-- DROP TABLE longvarchar_types;
-- DROP TABLE longvarchar_bit_types;
-- DROP TABLE clob_types;

-- boolean types

-- DROP TABLE boolean_types;

-- integer types

-- DROP TABLE smallInt_types;
-- DROP TABLE int_types;
-- DROP TABLE bigInt_types;

-- float types

-- DROP TABLE float_types;
-- DROP TABLE real_types;
-- DROP TABLE double_types;
-- DROP TABLE decimal_types;

-- date types

-- DROP TABLE date_types;
-- DROP TABLE time_types;
-- DROP TABLE timeStamp_types;

-- #############################################################
-- 
-- CREATE TABLE SECTION
--
-- #############################################################

CREATE TABLE char_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    char_type CHAR(30) DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE char_bit_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    char_bit_type CHAR(30) FOR BIT DATA DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE varchar_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    varchar_type VARCHAR(30) DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE varchar_bit_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    varchar_bit_type VARCHAR(30) FOR BIT DATA DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE blob_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    blob_type BLOB(500K) DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE longvarchar_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    longvarchar_type LONG VARCHAR DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE longvarchar_bit_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    longvarchar_bit_type LONG VARCHAR FOR BIT DATA DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE clob_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    clob_type CLOB(500K) DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE boolean_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    boolean_type BOOLEAN DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE smallInt_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    smallInt_type SMALLINT DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE int_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    int_type INT DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE bigInt_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    bigInt_type BIGINT DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE float_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    float_type FLOAT DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE real_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    real_type REAL DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE double_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    double_type DOUBLE DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE decimal_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    decimal_type DECIMAL(16,2) DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE date_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    date_type DATE DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE time_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    time_type TIME DEFAULT NULL,
    PRIMARY KEY (data_type_id)
);

CREATE TABLE timeStamp_types (

--  Table id and creation data entries.
    data_type_id INT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1),
    timeStamp_type TIMESTAMP,
    PRIMARY KEY (data_type_id)
);

-- #############################################################
--
-- INSERT INTO TABLE SECTION
--
-- #############################################################

INSERT INTO char_types
    (char_type)
VALUES
    ('a'),
    ('ccaaaaaaaaaaaaaaaaaaaaaaaaaaa');
    
INSERT INTO char_bit_types
    (char_bit_type)
VALUES
    (X'61'),
    (X'636361616161616161616161616161');

INSERT INTO varchar_types
    (varchar_type)
VALUES
    ('a'),
    ('ccaaaaaaaaaaaaaaaaaaaaaaaaaaa');
    
INSERT INTO varchar_bit_types
    (varchar_bit_type)
VALUES
    (X'61'),
    (X'636361616161616161616161616161');

INSERT INTO blob_types
    (blob_type)
VALUES
    CAST(X'2C2C2121215C5C5C5C5C5C2323' AS BLOB);

INSERT INTO longvarchar_types
    (longvarchar_type)
VALUES
    ('a'),
    ('ccaaaaaaaaaaaaaaaaaaaaaaaaaaa');

INSERT INTO longvarchar_bit_types
    (longvarchar_bit_type)
VALUES
    (X'61'),
    (X'636361616161616161616161616161');

INSERT INTO clob_types
    (clob_type)
VALUES
    ('clobText');
 
INSERT INTO boolean_types
    (boolean_type)
VALUES
    ('true'),
    ('false');
    
INSERT INTO smallInt_types
    (smallInt_type)
VALUES
    (-32768),
    (32767);

INSERT INTO int_types
    (int_type)
VALUES
    (-2147483648),
    (2147483647);

INSERT INTO bigInt_types
    (bigInt_type)
VALUES
    (-9223372036854775808),
    (9223372036854775807);
    
INSERT INTO float_types
    (float_type)
VALUES
    (-1.1e-39);

INSERT INTO real_types
    (real_type)
VALUES
    (-1.1e-36);

INSERT INTO double_types
    (double_type)
VALUES
    (-2.2e-306);

INSERT INTO decimal_types
    (decimal_type)
VALUES
    (-99999999999999.99),
    (99999999999999.99);

INSERT INTO date_types
    (date_type)
VALUES
    ('1000-01-01'),
    ('9999-12-31');

INSERT INTO time_types
    (time_type)
VALUES
    ('00:00:00'),
    ('23:59:59');

INSERT INTO timeStamp_types
    (timeStamp_type)
VALUES ('1970-01-01 00:00:00'),
       ('2005-01-11 09:43:01');